local G = love.graphics

local cursor
local bx,by = 100,100
local bw,bh = 50,50
local inside_b = false

function love.load(arg)
    local img = G.newImage('cursor_hand.png')
    cursor = love.mouse.newCursor(img:getData(),14,2)
end

function love.draw()
    G.setColor({200,200,200})
    G.rectangle('fill', bx,by,bw,bh)
end

function love.update(dt)
    local mx,my = love.mouse.getPosition()
    if mx >= bx and my <= bx+bw and my >= by and my < by+bh then
        if not inside_b then
            inside_b = true
            love.mouse.setCursor(cursor)
            print('setting cursor')
        end
    else
        if inside_b then
            inside_b = false
            love.mouse.setCursor()
            print('resetting cursor')
        end
    end    
end



